Skip to main content
POST
/
v1
/
pipelines
/
{pipeline_id}
/
stages
/
bulk
Bulk create pipeline stages
curl --request POST \
  --url https://api.octolane.com/v1/pipelines/{pipeline_id}/stages/bulk \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
[
  {
    "label": "<string>",
    "color": "<string>",
    "stage_order": 2,
    "is_default": true,
    "probability": 50
  }
]
'
{
  "success": true,
  "message": "<string>",
  "data": "<unknown>"
}

Authorizations

x-api-key
string
header
required

Public API key for the Octolane organization.

Path Parameters

pipeline_id
string<uuid>
required

Pipeline ID.

Body

application/json

Array of pipeline stages to create. Maximum 100 items.

Required array length: 1 - 100 elements
label
string
required
Maximum string length: 255
color
string
Maximum string length: 32
stage_order
integer | null
Required range: x >= 1
is_default
boolean
probability
number | null
Required range: 0 <= x <= 100
stage_type
enum<string>
Available options:
default,
positive,
negative

Response

Pipeline stages were created.

success
boolean
Example:

true

message
string
data
any

Endpoint-specific response payload.